<?php
session_start();
/*error_reporting(0);*/
include('../koneksi.php');

if (isset($_POST['simpanpencairan'])) {
$cekrek = strlen($_POST['rekening']);
if ($cekrek !== 13) {
    echo "<script type='text/javascript'>alert('Register yang diinput salah...! cek ulang registernya');</script>";
    exit;
} else {
    $kode = $_SESSION['kode'];
    $username = $_SESSION['username'];
    $no_bukti = "PP" . $_SESSION['nokode'] . date("YmdHis");
    $register = $_POST['register'];
    $rekening = $_POST['rekening'];

    $tgl = date('Y-m-d', strtotime($_POST['tgl']));
    $plafond = str_replace(",", "", $_POST['plafond']);
    $jcair = $_POST['jcair'];
    $pbarang = $_POST['pbarang'];
    $jbarang = $_POST['jbarang'];
    $kelengkapan = $_POST['kelengkapan'];
    $jaminan = $_POST['jaminan'];
    $taksasi = str_replace(",", "", $_POST['taksasi']);
    $jwaktu = $_POST['jwaktu'];
    $margin = $_POST['margin'];
    $noseri = $_POST['noseri'];
    $kondisi = $_POST['kondisi'];
    $keterangan = $_POST['keterangan'];
    $tglnow = date("Y-m-d H:i:s");

    // Retrieve registrant data
    //$register = substr($rekening, 0, 10);
    $jumlah = ($margin * $plafond/100);
    $pesan = mysqli_fetch_assoc(mysqli_query($koneksi, "SELECT a.nama AS nama, a.nohp AS nohp,b.plafond AS plafond,b.barang AS barang FROM registrasi a LEFT JOIN pinjaman b ON a.id=b.register WHERE id='$register'"));
    
        $nohp = $pesan['nohp'];
        $nama = "Kepada    : ".$pesan['nama'];
        $plafondpsn = "Pinjaman            : Rp ".number_format($pesan['plafond'],0);
        $barang = "Barang                : ".$pesan['barang'];
    $judul = "*PENCAIRAN GADAI*";
    $tglpsn = "Tanggal               : ".$tgl;                
        // Set payment method
        $metodebayar = "Cara Bayar         : Diangsur";
        $jmlangsuran = "Jml Angsuran    : Rp.". number_format($jumlah, 0);
        $kantor = "Dari          : *TOP GADAI " . strtoupper($_SESSION['kantor']."*");
        $rekeningpesan = "No Rekening      : ".$rekening;
        $ket2 = $keterangan;
$hasilket = preg_replace('/104.*$/', '', $ket2);
        $keteranganpesan = "Keterangan        : ".trim($hasilket);
    // Cek apakah transaksi sudah ada
    $check_query = mysqli_query($koneksi, "SELECT * FROM pinjaman WHERE no_bukti='$no_bukti'");
    if (mysqli_num_rows($check_query) > 0) {
        echo "<script type='text/javascript'>alert('Transaksi dengan no_bukti ini sudah ada. Tidak dapat melakukan double transaksi.');</script>";
        exit;
    } else {
        // Lanjutkan dengan pernyataan insert
        $query2 = mysqli_query($koneksi, "INSERT INTO pinjaman SET register='$register', rekening='$rekening', no_bukti='$no_bukti', tgl='$tgl', plafond='$plafond', jeniscair='$jcair', barang='$pbarang', jenisbarang='$jbarang', kelengkapan='$kelengkapan', jaminan='$jaminan', taksasi='$taksasi', jangkawaktu='$jwaktu', flat='0', margin='$margin', noseri='$noseri', kondisi='$kondisi', bakidebet='$plafond', keterangan='$keterangan', username='$username' ") or die(mysqli_error($koneksi));
        
        $query3 = mysqli_query($koneksi, "INSERT INTO angsuran SET rekening='$rekening', no_bukti='$no_bukti', tgl='$tgl', plafond='$plafond', pokok='0', margin='0', keterangan='$keterangan', username='$username' ") or die(mysqli_error($koneksi));
        
        $query4 = mysqli_query($koneksi, "INSERT INTO bukubesar SET no_bukti='$no_bukti', tanggal='$tgl', kode_akun='1.120.10', debet='$plafond', kredit='0', keterangan='$keterangan', kode='$kode', username='$username'") or die(mysqli_error($koneksi));
        
        $query5 = mysqli_query($koneksi, "INSERT INTO bukubesar SET  no_bukti='$no_bukti', tanggal='$tgl', kode_akun='1.100.10', debet='0', kredit='$plafond', keterangan='$keterangan', kode='$kode', username='$username'") or die(mysqli_error($koneksi));
        $query6 = mysqli_query($koneksi, "INSERT INTO message SET number='$nohp',tgl='$tglpsn',judul='$judul', penErima='$nama', PenGirim='$kantor', rekening='$rekeningpesan',barangGadai='$barang',plafond='$plafondpsn', nominal='$jmlangsuran', keterangan='$keteranganpesan', metodeBayar='$metodebayar'") or die(mysqli_error($koneksi));
        
        // Ambil tanggal tempo
        $jtempo = mysqli_fetch_assoc(mysqli_query($koneksi, "SELECT rekening, DATE_ADD(tgl, INTERVAL $jwaktu DAY) AS jtempo2 FROM pinjaman WHERE rekening='$rekening'"));
        if ($jtempo) {
            $jtempo2 = $jtempo['jtempo2'];
            
            $update_jtempo = mysqli_query($koneksi, "UPDATE pinjaman SET jtempo='$jtempo2' WHERE rekening='$rekening'") or die(mysqli_error($koneksi));
        }

        // Kirim pesan sukses dan tetap pada halaman yang sama
        echo "<script type='text/javascript'>alert('Data yang Bapak input berhasil');
        window.location = '../home.php?home=113e2f72df122697c162790c217e1968'
        </script>";
        exit;
        // Catatan: Hilangkan redirection agar data tetap di form
    }
}
} else {
echo "<script type='text/javascript'>alert('Tombol belum diklik');
window.location = '../home.php?home=113e2f72df122697c162790c217e1968
</script>"; 
}
?>
